<?php

class cInfo{





	

	

	function proveedorCompra_x_catalogo($cat_id){

		$sql="SELECT * from tb_compra com 

		inner join tb_compradetalle comdet on com.tb_compra_id = comdet.tb_compra_id

		inner join tb_proveedor pro on com.tb_proveedor_id = pro.tb_proveedor_id

		where comdet.tb_catalogo_id = '$cat_id'

		GROUP by com.tb_proveedor_id ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	function ultimacompra_x_proveedor($cat_id,$prov_id){

		$sql="SELECT * from tb_compra com 

		inner join tb_compradetalle comdet on com.tb_compra_id = comdet.tb_compra_id

		inner join tb_proveedor pro on com.tb_proveedor_id = pro.tb_proveedor_id

		where comdet.tb_catalogo_id = '$cat_id'

		and com.tb_proveedor_id = '$prov_id'

		order by com.tb_compra_id DESC limit 1 ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	

}

?>